HALT(8)

BEZEICHNUNG
halt, poweroff, reboot - das System anhalten

ÜBERSICHT
/sbin/halt [-n] [-w] [-d] [-f] [-i] [-p] [-h]
/sbin/reboot [-n] [-w] [-d] [-f] [-i]
/sbin/poweroff [-n] [-w] [-d] [-f] [-i] [-h]

BESCHREIBUNG
halt notes that the system is being brought down in the file /var/log/wtmp, and then either tells the kernel to halt, reboot or power-off the system.

If halt or reboot is called when the system is not in runlevel 0 or 6, in other words when it's running normally, shutdown will be invoked instead (with the -h or -r flag). For more info see the shutdown(8) manpage.

Der Rest dieser Handbuchseite beschreibt das Verhalten in den Runlevels 0 und 6, also wenn die Herunterfahr-Skripte des Systems laufen.

OPTIONEN

-n  Don't sync before reboot or halt. Note that the kernel and storage drivers may still sync. This implies -d.

-w  führt keinen Systemhalt oder Neustart tatsächlich aus, sondern schreibt nur den Wtmp-Herunterfahreintrag (in die Datei /var/log/wtmp).

-d  schreibt keinen Wtmp-Herunterfahreintrag.

-f  erzwingt Systemhalt oder Neustart und ruft shutdown(8) nicht auf.

-i  Shut down all network interfaces just before halt or reboot. Warning: This may not work on interfaces which do not have an IP address and should ideally be handled by a network manager service.

-h  versetzt alle Festplattenlaufwerke im System direkt vor Systemhalt oder Ausschalten in den Standby-Modus.

-p  schaltet beim Anhalten des Systems die Energieversorgung ab. Dies ist die Vorgabe, wenn halt als poweroff aufgerufen wird.

DIAGNOSE
Falls Sie nicht der Superuser sind, erhalten Sie die Meldung »must be superuser«.

ANMERKUNGEN
Unter älteren Versionen von sysvinit sollten reboot und halt niemals direkt aufgerufen werden. Ab der Version 2.74 rufen halt und reboot den Befehl shutdown(8) auf, falls sich das System nicht im Runlevel 0 oder 6 befindet. Falls halt oder reboot den aktuellen Runlevel nicht ermitteln können (beispielsweise wenn /var/run/utmp nicht korrekt initialisiert wurde und /var/run/runlevel nicht existiert), bedeutet das, dass shutdown aufgerufen wird, was möglicherweise nicht das ist, was Sie wollen. Verwenden Sie den Schalter -f, wenn Sie einen harten Systemhalt oder Neustart ausführen wollen.

Der Schalter -h versetzt alle Festplatten direkt vor dem Systemhalt oder Ausschalten in den Standby-Modus. Bislang ist das nur für IDE-Laufwerke implemetiert. Ein Nebeneffekt des Versetzens in den Standby-Modus ist, dass der Schreib-Cache des Laufwerks geleert wird. Das ist für IDE-Laufwerke wichtig, da der Kernel selbst den Schreib-Cache vor dem Ausschalten nicht leert.

Das Programm halt findet alle IDE-Laufwerke mit Hilfe von /proc/ide/hd*, was bedeutet, dass /proc beim Aufruf von halt oder poweroff eingehängt sein muss. Anderenfalls wird der Schalter -h nichts bewirken.

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

SIEHE AUCH
shutdown(8), init(8)